/**
 * Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr
 *
 * Projet: blog
 * Version: 1.09.00
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kosmos.blog.service;

import com.kosmos.blog.bean.BlogBean;
import com.kosmos.blog.dao.impl.BlogDAO;
import com.kosmos.service.impl.ServiceFiche;
import com.univ.objetspartages.om.EtatFiche;
import com.univ.objetspartages.view.model.FicheDefaultViewModel;
import com.univ.utils.FicheUnivMgr;

/**
 * Created on 04/10/17.
 */
public class ServiceBlog extends ServiceFiche<BlogBean, BlogDAO, FicheDefaultViewModel> {

    /**
     * Récupération d'un blog en fonction de sa rubrique de rattachement et de sa langue.
     * @param codeRubrique la rubrique
     * @param langue la langue
     * @return le blog correspondant ou null si auncun résultats
     */
    public BlogBean getByCodeRubriqueLangue(String codeRubrique, String langue){
        return this.dao.selectByCodeRubriqueLangueEtat(codeRubrique, langue, EtatFiche.EN_LIGNE.getEtat());
    }

    @Override
    public String getReferences(BlogBean bean) {
        return FicheUnivMgr.getReferenceParJointure("structure", bean.getCodeRattachement());
    }
}
